org.apache.ignite.internal.processors.cache.persistence

## Class GridCacheDatabaseSharedManager.RestoreBinaryState

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.RestoreBinaryState

Enclosing class:
  GridCacheDatabaseSharedManager

    public class GridCacheDatabaseSharedManager.RestoreBinaryState
    extends Object

Restore memory context. Tracks the safety of binary recovery.

### Constructor Summary

Constructors
Constructor and Description
`RestoreBinaryState(CheckpointStatus status, WALIterator iterator, long lastArchivedSegment, IgnitePredicate<Integer> cacheGroupsPredicate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `needApplyBinaryUpdate()`
`WALRecord` `next()` Advance iterator to the next record.
`boolean` `throwsCRCError()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestoreBinaryState

    public RestoreBinaryState(CheckpointStatus status,
                              WALIterator iterator,
                              long lastArchivedSegment,
                              IgnitePredicate<Integer> cacheGroupsPredicate)

Parameters:
  `status` - Checkpoint status.
  `iterator` - WAL iterator.
  `lastArchivedSegment` - Last archived segment index.
  `cacheGroupsPredicate` - Cache groups predicate.

### Method Detail

#### next

    public WALRecord next()
                   throws IgniteCheckedException

Advance iterator to the next record.

Returns:
  WALRecord entry.
Throws:
  `IgniteCheckedException` - If CRC check fail during binary recovery state or another exception occurring.

#### needApplyBinaryUpdate

    public boolean needApplyBinaryUpdate()

Returns:
  Flag indicates need apply binary record or not.

#### throwsCRCError

    public boolean throwsCRCError()

Returns:
  Flag indicates need throws CRC exception or not.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021